/* Box sizing rules */
*,
*::before,
*::after {
    box-sizing: border-box;
}

*:focus-visible {
    outline: none;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
    margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
    list-style: none;
}

/* Set core root defaults */
html:focus-within {
    scroll-behavior: smooth;
}

/* Set core body defaults */
body {
    min-height: 100vh;
    text-rendering: optimizeSpeed;
    line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
    text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
    max-width: 100%;
    display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
    font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
    html:focus-within {
        scroll-behavior: auto;
    }

    *,
    *::before,
    *::after {
        animation-duration: 0.01ms !important;
        animation-iteration-count: 1 !important;
        transition-duration: 0.01ms !important;
        scroll-behavior: auto !important;
    }
}


html {
    --clr-dark-gray: hsl(216, 18%, 16%);
    --clr-dark-gray-hover: hsl(216, 18%, 14%);
}

body {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.2rem;
    background-color: var(--clr-dark-gray);
    margin: 0px;
    display: grid;
    place-items: center;
}

.btn-settings {
    background-color: var(--clr-dark-gray);
    color: white;
    width: 2.6em;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    text-decoration: none;
    display: grid;
    place-items: center;
    box-shadow: inset 0 .2em .2em rgb(0, 0, 0, 0.4), 0 .5em .8em rgb(255, 255, 255, 0.1);
    border-bottom: 1px solid rgba(255,255,255,0.5);
    /* transition: 250ms background-color linear; */
}

.btn-settings:hover,
.btn-settings:focus-visible {
    background-color: var(--clr-dark-gray-hover);
    box-shadow: inset 0 .2em .2em rgb(0, 0, 0, 0.4), 0 .5em .8em rgb(255, 255, 255, 0.08);
}